Status: Closed Start date: 2009-03-19

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 0.8.3   

Resolution: Fixed Affected version:  

Description

Journal overrides save method from ActiveRecord::Base like that

def save

   ...

end

 while it should be

def save(perform_validation = true)

   ...

end

 or

def save(*args)

  ...

end

 With current definition, any call passing an argument to the save method - Journal#update_attribute for example - will raise an

exception like this one:

wrong number of arguments (1 for 0)

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:955:in `save'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:955:in `update_att

ribute'

<pre>

Associated revisions

Revision 2615 - 2009-03-23 18:18 - Jean-Philippe Lang

Fixes Journal#save signature (#3014).

History

#1 - 2009-03-23 18:13 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.8.3

- Resolution set to Fixed

Fixed in r2615.

#2 - 2009-04-05 13:57 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Committed in 0.8-stable in r2651.

Powered by TCPDF (www.tcpdf.org)

2025-05-02 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/2615
https://www.redmine.org/projects/redmine/repository/svn/revisions/2651
http://www.tcpdf.org

